package com.adealink.weparty.call.stat

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.CommonEventKey
import com.adealink.frame.statistics.CommonEventValue
import com.adealink.frame.statistics.IEventValue

class CallStartEvent() : BaseStatEvent("y39skp") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
    val result = Param(CommonEventKey.RESULT) //呼叫结果, 成功:1, 失败:2

}

class CallAcceptEvent() : BaseStatEvent("5xzpm9") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val userId = Param(CommonEventKey.USER_ID)
    val result = Param(CommonEventKey.RESULT) //接受结果, 成功:1, 失败:2

}

class CallEndEvent() : BaseStatEvent("dr9456") {

    override val action: IEventValue = CommonEventValue.Action.EMPTY

    val duration = Param(CommonEventKey.DURATION) //单位:秒

}